Bug 523547 - virt-df doesn't pull correct dependencies
virt-df doesn't pull correct dependencies
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 17:40 EDT by Evan McNabb
Modified: 2010-03-27 06:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan McNabb 2009-09-15 17:40:04 EDT
Description of problem:
The virt-df RPM doesn't pull in perl-XML-XPath.noarch which is required.

Version-Release number of selected component (if applicable):
virt-df.x86_64 1:1.0.68-2.fc11

How reproducible:
Every time

Steps to Reproduce:
# yum install -y virt-df
...
# virt-df 
Filesystem                           1K-blocks       Used  Available  Use%
open_guest: no libvirt support (install Sys::Virt, XML::XPath and XML::XPath::XMLParser) at /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Sys/Guestfs/Lib.pm line 148.
# yum install -y perl-XML-XPath
...
# virt-df 
Filesystem                           1K-blocks       Used  Available  Use%
RHEL5.3-64:/dev/VolGroup00/LogVol00
                                       9014656    7208796    1340556 85.1%
...correct output...
  
Actual results:


Expected results:
perl-XML-XPath should be added as a dependency.

Additional info:
Comment 1 Gianluca Cecchi 2009-09-18 08:14:26 EDT
It happens to me too.
Same version of virt-df and fedora-virt-preview repo
(but perl-XML-XPath and virt-df are not in this latest one..)
Comment 2 Richard W.M. Jones 2009-09-18 11:39:35 EDT
virt-df is an old/obsolete package.  The component for the
"new" virt-df is libguestfs.  Changing the product & component
accordingly.
Comment 3 Gianluca Cecchi 2009-09-18 11:45:06 EDT
And is there a substitute for it, command-line and/or graphical?
Comment 4 Mike Gahagan 2009-09-18 11:51:48 EDT
virt-cat is also affected by this missing dependancy... installing perl-XML-XPath fixes it as well.

# virt-cat rhel48 /etc/passwd
open_guest: no libvirt support (install Sys::Virt, XML::XPath and XML::XPath::XMLParser) at /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Sys/Guestfs/Lib.pm line 148.
[root@dhcp231-119 emcnabb]# rpm -q virt-cat
virt-cat-1.0.70-1.fc12.x86_64
Comment 5 Richard W.M. Jones 2009-09-18 12:02:38 EDT
(In reply to comment #3)
> And is there a substitute for it, command-line and/or graphical?  

The new virt-df is a like-for-like replacement for the old one!
Just use it on the command line in the same way:

# virt-df
Filesystem                           1K-blocks       Used  Available  Use%
F11x64:/dev/sda1                        198337      14634     173463 12.5%
F11x64:/dev/vg_f11x64/lv_root          9115008    2841052    6181432 32.2%
Ubuntu904x64:/dev/sda1                 9835552    3163716    6172220 37.2%
Win2003x32:/dev/sda1                  20956760    3009504   17947256 14.4%
F10x32:/dev/VolGroup00/LogVol00        9191640    3083532    5642856 38.6%
F10x32:/dev/sda1                        194442      20706     163697 15.8%
RHEL54Betax64:/dev/VolGroup00/LogVol00
                                      15109112    4591040    9738196 35.5%
RHEL54Betax64:/dev/sda1                 101086      18988      76879 23.9%
Debian5x64:/dev/debian5x64/home        3555936     905572    2469732 30.5%
Debian5x64:/dev/debian5x64/root         329233     115877     196358 40.4%
Debian5x64:/dev/debian5x64/tmp          309401      10295     283132  8.5%
Debian5x64:/dev/debian5x64/usr         3539776    1192344    2167620 38.8%
Debian5x64:/dev/debian5x64/var         1741648     930292     722884 58.5%
Debian5x64:/dev/sda1                    233335      21494     199393 14.5%
CentOS5x32:/dev/VolGroup00/LogVol00    9014656    4329636    4219716 53.2%
CentOS5x32:/dev/sda1                    101086      36111      59756 40.9%
F12Alphax64:/dev/sda1                   198337      23129     164968 16.8%
F12Alphax64:/dev/vg_f12alphax64/lv_root
                                       9180216    2724864    5989024 34.8%

If there is some missing functionality from the old version that
you need, let me know.  (But AFAIK everything from the old version
is implemented in the new version, and more).
Comment 6 Gianluca Cecchi 2009-09-18 12:18:33 EDT
What do you mean with:
The new virt-df is a like-for-like replacement for the old one!
Just use it on the command line in the same way:

that we have to pick virt-df in f12 and install it on f11?
The package names are the same.....
Or that it has to be included in fedora-virt-preview repo?
Comment 7 Richard W.M. Jones 2009-09-18 12:22:30 EDT
In F-11 and upwards, the old virt-df package is marked as a dead.package.
The new virt-df package (built as a subpackage of libguestfs) should
transparently replace it.

Hopefully you shouldn't have to do anything if we got the RPM rules
right (and if we didn't, then just 'yum install virt-df' should work).
Comment 8 Fedora Update System 2009-09-18 12:38:18 EDT
libguestfs-1.0.70-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-2.fc11?_csrf_token=93ab8a8e6f57761724abecf7cb220c62db76425a
Comment 9 Fedora Update System 2009-09-18 13:53:09 EDT
libguestfs-1.0.70-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.70-2.el5
Comment 10 Fedora Update System 2009-10-03 15:01:09 EDT
libguestfs-1.0.70-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-10-08 14:03:10 EDT
libguestfs-1.0.70-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Richard W.M. Jones 2010-03-27 06:41:28 EDT
An explicit dependency was added to the Fedora spec file
which fixes this.

Note You need to log in before you can comment on or make changes to this bug.